{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% load rules %}
{% load crispy_forms_tags %}

{% block content %}

<div class="row">
  <div class="col-md-8">
    <h1>Território {{ object }}</h1>
  </div>
  <div class="col-md-4 text-right">
    <h3>
      <a href="{% url 'TerritorioAgregadoIndex' %}" class="btn btn-secondary"><i class="fa fa-eye mr-1"></i>Ver lista de territórios</a>
      <a class="btn btn-primary" href="{{ object.get_messages_url }}"><i class="fa fa-comments mr-1"></i> {% trans 'Mensagens' %}</a>
    </h3>
  </div>
</div>

<div class="row">
  <div class="col-md-12 mt-2">
    <div id='map' style="width:100%;height:400px"></div>
  </div>
</div>

<div class="row">
  <div class="col-md-6">
    <dl class="row mt-4">
      <dt class="col-sm-12 col-md-5 col-lg-3">Nome</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.nome }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Ano de fundação</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.ano_fundacao|default_if_none:"-" }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Quantidade de famílias</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.qtde_familias|default_if_none:"-" }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Modo de Vida</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.modo_de_vida|default_if_none:"-" }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Tipo de Produção</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.tipo_producao|default_if_none:"-" }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Tipo de Comunidade</dt>
      <!-- dd class="col-sm-12 col-md-7 col-lg-9">{{ object.tipo_comunidade|default_if_none:"-" }}</dd -->
      <dd class="col-sm-12 col-md-7 col-lg-9">
      {% for tipo_comunidade in  object.tipos_comunidade.all %}
      {{ tipo_comunidade }}{% if not forloop.last %},{% endif %}
      {% endfor %}
      </dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Município de Referência</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.municipio_referencia|default_if_none:"-" }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Público</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.publico }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Data de Criação</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.criacao }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Última Alteração</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">{{ object.ultima_alteracao }}</dd>

      <dt class="col-sm-12 col-md-5 col-lg-3">Anexo Ata</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">
      <a href="{{ object.anexo_ata.arquivo.url }}" target="blank">{{ object.anexo_ata|default_if_none:"-" }}</a>
      </dd>

      {% if object.anexos.all %}
      <dt class="col-sm-12 col-md-5 col-lg-3">Outros anexos</dt>
      <dd class="col-sm-12 col-md-7 col-lg-9">
      {% for anexo in  object.anexos.all %}
      <a href="{{ anexo.arquivo.url }}" target="blank">{{ anexo|default_if_none:"-" }}</a> <br>
      {% endfor %}
      </dd>
      {% endif %}
    </dl>
  </div>
  <div class="col-md-6 mt-3">
    {% crispy form %}
  </div>
</div>

<script>
  {% autoescape off %}
  var position_initial = {{ position_initial }};
  var conflitos_markers = {{ conflitos }};
  var uso_markers = {{ areas_uso }};
  var polygons = {{ poligonos }};
  {% endautoescape %}

  var map = L.map('map', {scrollWheelZoom: false}).setView(position_initial, 12);
  L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
    maxZoom: 19,
    attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
  }).addTo(map);

  // show the scale bar on the lower left corner
  L.control.scale().addTo(map);
  var markersLayer = new L.LayerGroup();
  map.addLayer(markersLayer);

  for (polygon of polygons) {
    L.polygon(polygon).addTo(map);
  }

  var conflitosIcon = L.icon({
    iconUrl: 'https://agroecologia.org.br/wp-content/uploads/2020/11/politicaspublicasmunicipais1.png',
    // shadowUrl: 'https://agroecologia.org.br/wp-content/uploads/2020/11/politicaspublicasmunicipais1-s.png',
    iconSize:     [48, 48], // size of the icon
    // shadowSize:   [48, 48], // size of the shadow
    iconAnchor:   [24, 36], // point of the icon which will correspond to marker's location
    // shadowAnchor: [20, 38],  // the same for the shadow
    popupAnchor:  [0, -36] // point from which the popup should open relative to the iconAnchor
  });

  for (marker of conflitos_markers) {
    L.marker(
      {lon: marker.lng, lat:marker.lat}
      // ,{icon: conflitosIcon}
    )
      .addTo(map)
      .bindPopup(marker.nome)
      .openPopup();
  }

  for (marker of uso_markers) {
    L.marker([marker.lng, marker.lat])
      .addTo(map)
      .bindPopup(marker.nome);
    // .openPopup();
  }
</script>

{% endblock %}

{% block includes %}
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
                       integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
                       crossorigin=""/>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
        integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
        crossorigin=""></script>
{% endblock %}
